<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Floatimine</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }

        #div1 {
            width: 100px;
            height: 100px;
            background: lightblue;
            float: left;
        }

        #div2 {
            width: 100px;
            height: 100px;
            background: darkblue;
            float: right;
        }
    </style>
</head>

<body>
    <div id="parent-div">
        <div id="div1">1</div>
        <div id="div2">2</div>
        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Vero ipsa consequuntur velit, quas, dolorem obcaecati
        natus ad enim, dolore similique nemo quia rem corporis laboriosam! Delectus soluta architecto velit et.
        Lorem ipsum dolor, sit amet consectetur adipisicing elit. Eligendi tempore praesentium, dolorem ea facere
        accusamus. Expedita repellendus facere quas ea esse, mollitia quidem ad sapiente asperiores. Repellendus sunt
        maiores quae?
        Lorem ipsum dolor, sit amet consectetur adipisicing elit. Facere iure aliquam nam ipsam voluptas nobis quo. Hic
        alias ipsum et laborum maxime laboriosam enim. Enim perferendis nesciunt natus assumenda dolorum.
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Odit officiis debitis, facere magnam modi illum non
        labore saepe totam exercitationem earum sequi ex consequatur maxime quo enim veritatis quae inventore.
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Iure delectus eligendi molestias a ad in cumque
        necessitatibus? Reiciendis, tenetur! Molestias facere doloribus vero non suscipit culpa expedita necessitatibus
        iusto voluptate?
        <div style="clear: both;"></div>
        <div>Uus div</div>
    </div>
</body>

</html>